# Class CIM_DiagnosticSettingForTest
extends CIM_ElementSetting

This class is no longer required and is being deprecated. Use ElementSetting (its parent) instead if the association is needed. This is an association class to relate test settings with diagnostic tests.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ElementSetting
|
+--CIM_DiagnosticSettingForTest

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ElementSetting
Description | string | This class is no longer required and is being deprecated. Use ElementSetting (its parent) instead if the association is needed. This is an association class to relate test settings with diagnostic tests.
UMLPackagePath | string | CIM::System::Diagnostics
Version | string | 2.9.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Element | CIM_DiagnosticSettingForTest | CIM_DiagnosticTest
Setting | CIM_DiagnosticSettingForTest | CIM_DiagnosticSetting

## Class Methods